#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	grep
Version		:	3.11
Release		:	17.0.10.rel%{?dist}
Summary		:	Pattern matching utilities
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/grep/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
%description
The GNU versions of commonly used grep utilities. Grep searches through
textual input for lines which contain a match to a specified pattern and then
prints the matching lines. GNU's grep utilities include grep, egrep and fgrep.

GNU grep is needed by many scripts, so it shall be installed on every system.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/GREP_COLORS
%config(noreplace) %{_sysconfdir}/profile.d/colorgrep.*sh
%{_bindir}/%{name}
%{_bindir}/f%{name}
%{_bindir}/e%{name}
%{_infodir}/*.info.gz
%{_datadir}/locale/
%{_libexecdir}/grepconf.sh
%{_mandir}/man1

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}
#-----------------------------------------------------------------------------
#building application
%build

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-included-regex			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/profile.d/
install -p						\
	-m 755 %{name}-ok_addon/colorgrep.csh		\
	-m 755 %{name}-ok_addon/colorgrep.sh		\
	%{buildroot}%{_sysconfdir}/profile.d/

%{__mkdir_p}						\
	%{buildroot}%{_libexecdir}/
install -p						\
	-m 755 %{name}-ok_addon/grepconf.sh		\
	%{buildroot}%{_libexecdir}/grepconf.sh

install -p						\
	-m 644 %{name}-ok_addon/GREP_COLORS		\
	%{buildroot}%{_sysconfdir}/
	
%{__rm} -fr %{buildroot}%{_infodir}/dir
#-----------------------------------------------------------------------------
%changelog
